Bug 1254937 - EC: gluster v add-brick and remove-brick help should display help for adding and removing bricks for disperse volume
EC: gluster v add-brick and remove-brick help should display help for addin...
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: disperse (Show other bugs)
3.1
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
Bhaskarakiran
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 05:34 EDT by Anil Shah
Modified: 2016-11-23 18:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 02:21:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anil Shah 2015-08-19 05:34:15 EDT
Description of problem:

To add-brick or remove-brick from disperse volume, when you type gluster v add-brick help or gluster remove-brick help , it doesn't display help to add or remove brick from disperse volume

Version-Release number of selected component (if applicable):

[root@darkknight ~]# rpm -qa | grep glusterfs
glusterfs-api-3.7.1-11.el7rhgs.x86_64
glusterfs-cli-3.7.1-11.el7rhgs.x86_64
glusterfs-libs-3.7.1-11.el7rhgs.x86_64
glusterfs-client-xlators-3.7.1-11.el7rhgs.x86_64
glusterfs-server-3.7.1-11.el7rhgs.x86_64
glusterfs-rdma-3.7.1-11.el7rhgs.x86_64
glusterfs-3.7.1-11.el7rhgs.x86_64
glusterfs-fuse-3.7.1-11.el7rhgs.x86_64
glusterfs-geo-replication-3.7.1-11.el7rhgs.x86_64


How reproducible:

100%

Steps to Reproduce:
1. Create 4+2 disperse volume
2. run gluster volume add-brick help or gluster vol remove-brick help
 

Actual results:

[root@darkknightrises ~]# gluster v add-brick
Usage: volume add-brick <VOLNAME> [<stripe|replica> <COUNT>] <NEW-BRICK> ... [force]
[root@darkknightrises ~]# gluster v add-brick help
Usage: volume add-brick <VOLNAME> [<stripe|replica> <COUNT>] <NEW-BRICK> ... [force]
[root@darkknightrises ~]# 


Expected results:

It should display help to add or remove bricks from disperse volume

Additional info:
Comment 2 Pranith Kumar K 2015-09-18 02:21:31 EDT
The help text is to change the replica counts for add/remove brick, which are not yet supported on downstream. Disperse doesn't have any mechanism to change n=k+m counts yet. So the keyword disperse doesn't appear anywhere in the CLI.

Note You need to log in before you can comment on or make changes to this bug.